Package org.eclipse.cdt.core.dom

# Interface IPDOMIndexerTask

public interface IPDOMIndexerTask

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TRACE_ACTIVITY`
`static final String`
`TRACE_INCLUSION_PROBLEMS`
`static final String`
`TRACE_PROBLEMS`
`static final String`
`TRACE_SCANNER_PROBLEMS`
`static final String`
`TRACE_STATISTICS`
`static final String`
`TRACE_SYNTAX_PROBLEMS`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptUrgentTask(IPDOMIndexerTask task)`
Takes files from another task and adds them to this task in front of all not yet processed files.
`default void`
`cancel()`
Notifies the task that it should stop executing at its earliest convenience.
`IPDOMIndexer`
`getIndexer()`
Returns the indexer the task belongs to.
`org.eclipse.cdt.internal.core.pdom.IndexerProgress`
`getProgressInformation()`
Returns progress information for the task.
`void`
`run(org.eclipse.core.runtime.IProgressMonitor monitor)`
Called by the framework to perform the task.

## Field Details

### TRACE_ACTIVITY

static final String TRACE_ACTIVITY

See Also:
  - Constant Field Values

### TRACE_STATISTICS

static final String TRACE_STATISTICS

See Also:
  - Constant Field Values

### TRACE_INCLUSION_PROBLEMS

static final String TRACE_INCLUSION_PROBLEMS

See Also:
  - Constant Field Values

### TRACE_SCANNER_PROBLEMS

static final String TRACE_SCANNER_PROBLEMS

See Also:
  - Constant Field Values

### TRACE_SYNTAX_PROBLEMS

static final String TRACE_SYNTAX_PROBLEMS

See Also:
  - Constant Field Values

### TRACE_PROBLEMS

static final String TRACE_PROBLEMS

See Also:
  - Constant Field Values

## Method Details

### run

void run(org.eclipse.core.runtime.IProgressMonitor monitor) throws InterruptedException
Called by the framework to perform the task.

Throws:
  `InterruptedException`

### cancel

default void cancel()
Notifies the task that it should stop executing at its earliest convenience. It's up to the task whether to react to this method or not.

Restriction:
  This method is not intended to be referenced by clients.
Restriction:
  This default method is not intended to be re-implemented or extended by clients.

### getIndexer

IPDOMIndexer getIndexer()
Returns the indexer the task belongs to.

### getProgressInformation

org.eclipse.cdt.internal.core.pdom.IndexerProgress getProgressInformation()
Returns progress information for the task.

Restriction:
  This method is not intended to be referenced by clients.

### acceptUrgentTask

boolean acceptUrgentTask(IPDOMIndexerTask task)
Takes files from another task and adds them to this task in front of all not yet processed files. The urgent work my be rejected if this task is not capable of accepting it, or if the amount of urgent work is too large compared to the work already assigned to this task.

Parameters:
  `task` - the task to add the work from.
Returns:
  `true` if the work was accepted, `false` if it was rejected.
Since:
  5.3
See Also:
  - "https://bugs.eclipse.org/bugs/show_bug.cgi?id=319330"